var lifecyleOperationStarted = false;
    function editLC(lifecycleName, viewLC) {
        if (lifecyleOperationStarted) {
            CARBON.showWarningDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["lifecycle.operation.in.progress"]);
            return;
        }
        lifecyleOperationStarted = true;
        sessionAwareFunction(function() {
            lifecyleOperationStarted = false;
            document.location.href = "../lcm/source_lcm.jsp?lifecycleName=" + lifecycleName + (viewLC ? "&view=view" : "");
        }, org_wso2_carbon_governance_lcm_ui_jsi18n["session.timed.out"]);
        lifecyleOperationStarted = false;
    }

    function findUsage(lifecycleName) {
        if (lifecyleOperationStarted) {
            CARBON.showWarningDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["lifecycle.operation.in.progress"]);
            return;
        }
        lifecyleOperationStarted = true;
        sessionAwareFunction(function() {
            lifecyleOperationStarted = false;
            window.location = "../search/advancedSearch.jsp?region=region3&item=" +
                              "registry_search_menu&propertyName=registry.LC.name&propertyValue=" +
                              lifecycleName;
        }, org_wso2_carbon_governance_lcm_ui_jsi18n["session.timed.out"]);
        lifecyleOperationStarted = false;
    }

    function deleteLC(lifecycleName) {
        if (lifecyleOperationStarted) {
            CARBON.showWarningDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["lifecycle.operation.in.progress"]);
            return;
        }
        lifecyleOperationStarted = true;
        sessionAwareFunction(function() {
            new Ajax.Request('../lcm/nameinusecheck_lcm_ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {lifecycleName: lifecycleName},
                evalScripts : true,
                asynchronous:false,
                onSuccess: function(transport) {
                    var returnValue = transport.responseText;
                    if(returnValue.search(/----IsInUse----/) != -1){
                        CARBON.showErrorDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["unable.to.delete.lifecycle.in.use"]);
                    } else {
                        CARBON.showConfirmationDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["are.you.sure.you.want.to.delete"] + " " + lifecycleName + "?", function() {
                            new Ajax.Request('../lcm/delete_lcm-ajaxprocessor.jsp', {
                                method: 'post',
                                parameters: {lifecycleName: lifecycleName},
                                onSuccess: function(transport) {
                                    if (!transport) {
                                        lifecyleOperationStarted = false;
                                        return;
                                    }
                                    var message = org_wso2_carbon_governance_lcm_ui_jsi18n["configuration.deleted"];
                                    lifecyleOperationStarted = false;
                                    window.location = "lcm.jsp";
                                    CARBON.showInfoDialog(message);
                                },
                                onFailure: function(transport) {
                                {
                                    CARBON.showErrorDialog(transport.responseText);
                                }
                                }
                            });
                        });
                    }
                },
                onFailure: function(transport) {
                    CARBON.showErrorDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["failed.to.delete"] + ' ' + transport.responseText);
                }
            });
        }, org_wso2_carbon_governance_lcm_ui_jsi18n["session.timed.out"]);
        lifecyleOperationStarted = false;
    }

    function saveLC(lifecycleName, isNew) {
        if (lifecyleOperationStarted) {
            CARBON.showWarningDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["lifecycle.operation.in.progress"]);
            return;
        }
        lifecyleOperationStarted = true;
        sessionAwareFunction(function() {
            var param1 = "";
            if (isNew) {
                param1 = editAreaLoader.getValue("payload");
            } else {
                param1 = lifecycleName;
            }

            new Ajax.Request('../lcm/nameinusecheck_lcm_ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {lifecycleName: param1},
                evalScripts : true,
                asynchronous:false,
                onSuccess: function(transport) {
                    var returnValue = transport.responseText;
                    if(returnValue.search(/----IsInUse----/) != -1){
                        CARBON.showErrorDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["unable.to.save.lifecycle.in.use"]);
                    } else {
                        var payloadVar = editAreaLoader.getValue("payload");
                        if (payloadVar!="") {
                            new Ajax.Request('../lcm/save_lcm-ajaxprocessor.jsp', {
                                method: 'post',
                                parameters: {lifecycleName: lifecycleName, isNew: isNew, payload: payloadVar},
                                onSuccess: function(transport) {
                                    if (!transport) {
                                        lifecyleOperationStarted = false;
                                        return;
                                    }
                                    var message = org_wso2_carbon_governance_lcm_ui_jsi18n["configuration.saved"];
                                    lifecyleOperationStarted = false;
                                    CARBON.showInfoDialog(message, function() {window.location = "lcm.jsp?region=region3&item=governance_lcm_menu";});
                                },
                                onFailure: function(transport) {
                                    CARBON.showErrorDialog(transport.responseText);
                                }
                            });
                        } else{
                            var message = org_wso2_carbon_governance_lcm_ui_jsi18n["configuration.empty"];
                            CARBON.showWarningDialog(message);
                        }
                    }
                },
                onFailure: function(transport) {
                    CARBON.showErrorDialog(org_wso2_carbon_governance_lcm_ui_jsi18n["failed.to.save"] + ' ' + transport.responseText);
                }
            });
        }, org_wso2_carbon_governance_lcm_ui_jsi18n["session.timed.out"]);
        lifecyleOperationStarted = false;
    }